PETSc version 3.17.4
Fix/Edit manual page

# DMSwarmGetNumSpecies

Get the number of particle species

### Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetNumSpecies(DM sw, PetscInt *Ns)

Not collective

### Input parameter

| dm | - the DMSwarm

### Output parameters

| Ns | - the number of species

### See Also

DMSwarmSetNumSpecies(), DMSwarmSetType(), DMSwarmType

### Level

intermediate

### Location

src/dm/impls/swarm/swarmpic.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages